Page MenuHomePhabricator

Move jquery.i18n, jquery.ime and jquery.uls to gerrit
Closed, DeclinedPublic

Description

Hello,

Please move jquery.i18n, jquery.ime and jquery.uls to gerrit and a submodule for UniversalLanguageSelector (a.k.a ULS) extension to avoid double work.

Thank you.

Event Timeline

Mjbmr created this task.Sep 7 2015, 12:36 PM
Mjbmr raised the priority of this task from to Needs Triage.
Mjbmr updated the task description. (Show Details)
Mjbmr added a subscriber: Mjbmr.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 7 2015, 12:36 PM
Mjbmr set Security to None.Sep 7 2015, 12:45 PM
Mjbmr added subscribers: greg, 20after4.
hashar renamed this task from Move jquery.ime and jquery.uls to gerrit to Move jquery.i18n, jquery.ime and jquery.uls to gerrit.Sep 7 2015, 2:46 PM
hashar updated the task description. (Show Details)

I am pretty sure the canonical repositories are hosted on GitHub:

https://github.com/wikimedia/jquery.i18n/
https://github.com/wikimedia/jquery.ime/
https://github.com/wikimedia/jquery.uls/

Though none of the repositories have tags except jquery.i18n.

If you look at the history of mediawiki/extensions/UniversalLanguageSelector /lib/jquery.* , you can see the libs there are manually imported from the github repositories:

$ git log -n 7 --oneline lib/jquery.*
8e207b2 Update jquery.ime to 91dc90c2f2
a60a32a Update jquery.uls from upstream
f31defa Update jquery.uls from upstream to 5f35b1805e
85c3488 Update jquery.uls from upstream
05dd11f Upgrade jquery.i18n library from v1.0.2 to v1.0.3
99facde Update jquery.uls localization from upstream
62a2285 Update jquery.ime to b3f68eb6f8

So any contributions should be send as pull requests on GitHub.

hashar closed this task as Invalid.Sep 7 2015, 2:48 PM
hashar claimed this task.
hashar triaged this task as Normal priority.
Mjbmr added a comment.Sep 7 2015, 3:28 PM

@hashar what happened?

Mjbmr added a comment.EditedSep 7 2015, 3:37 PM

Since this ticket is closed as invalid out of reason, I'm gonna put another matters:

See for an example https://github.com/wikimedia/jquery.uls/pull/187, they always ask you to run ulsdata2json.php but when I did in https://github.com/wikimedia/jquery.uls/commit/48501f7dca50e2add6720a360bfcf410135fa9dc it was pulled but not merged in https://gerrit.wikimedia.org/r/235139/ but they told me to run ulsdata2json.php, I'm not gonna put the god damn time to wait for a code to get reviewed twice.

How this code review work with this language team anyway on github?

hashar added a comment.Sep 7 2015, 5:27 PM

@Mjbmr I am not familiar with the language team process for ULS and already added to CC people that contributed to the plugins.

The JQuery plugins can be of good use outside mediawiki / Wikimedia hence they are maintaining them on GitHub which makes it easier to contribute to the repos. As to why they use snapshots instead of submodules, it is usually because we don't want Gerrit repos to have submodules pointing to a third party (GitHub). There might be other reasons.

So the process is probably:

  • send your PR to GitHub, handle review there
  • maintainers merge in the PR
  • eventually prepare a version bump in ULS and propose it for review in Gerrit.
  • once Gerrit change is reviewed / merged in, the change will be deployed on the Wikimedia sites under a week and can meanwhile be tested on the Beta Cluster.
Mjbmr added a comment.Sep 7 2015, 7:04 PM

@hashar so you kept your thoughts in your mind and closed the ticket as invalid just because you think you are always right? btw say something new.

hashar added a comment.Sep 7 2015, 7:06 PM

@Mjbmr there is no need to harass me, that is not going to serve your point and is not going to exhaust me. I gave you the points above, feel free to reach the Language team members if you want confirmation of the process I have described above. I might be wrong, and will be happy to revisit in such a case.

Krenair added a subscriber: Krenair.Sep 7 2015, 7:08 PM
Mjbmr added a comment.Sep 7 2015, 7:08 PM

@hashar no, you need to keep discussion open, btw whatever, this is already closed by your power.

Mjbmr, please stop attacking hashar.

Mjbmr added a comment.Sep 7 2015, 7:19 PM

@Nemo_bis I didn't. I was just asking why this ticket was closed without any clear reason, you stop please.

hashar reopened this task as Open.Sep 7 2015, 8:31 PM

Seems @Mjbmr might be lacking the permission to reopen the ticket, so I am reopening to indicate it needs some more discussion.

Lets wait for Language team members to reach this task :-}

@Mjbmr, @hashar is correct about the reasons and process. They are mediawiki independed jquery libraries and used by third party projects. We get several PRs from non-mediawiki users and it proved our reasoning. https://www.mediawiki.org/wiki/Milkshake has notes about this set of libraries. We don't plan to move to gerrit.

Qgil closed this task as Resolved.Sep 8 2015, 4:26 AM
Qgil added a subscriber: Qgil.

The Language team has explained their reasons not to have jquery.i18n, jquery.ime, and jquery.uls to Wikimedia's Gerrit. After reading @santhosh's reply, the resolution sounds more like Declined, but this is just a detail. I'm resolving this task accordingly.

@Mjbmr, next time you think that a task has been resolved wrongly, you can reopen it and explain your reasoning. @hashar took this task quickly from his team's backlog and addressed it with the best of his knowledge (with a reply that was explanatory and correct). He didn't deserve your harsh reaction.

Alright, hopefully the situation is clear now. Thank you everybody.

Legoktm changed the task status from Resolved to Declined.Sep 8 2015, 4:30 AM
Legoktm added a subscriber: Legoktm.

Related: T109920.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptSep 8 2015, 4:30 AM
Restricted Application removed a subscriber: Mjbmr. · View Herald TranscriptJan 13 2016, 8:38 PM